import { IonContent, IonItem, IonLabel, IonListHeader } from "@ionic/react";
import "../components/ListComponent.css";

const ListComponent: React.FC<{ title?: string; laws: string[] }> = (props) => {
  const title = props.title;
  const laws = props.laws;
  return (
    <IonContent>
      {title ? (
        <IonListHeader>
          <IonLabel>{title}</IonLabel>
        </IonListHeader>
      ) : null}

      {laws.map((lawName: string) => {
        return (
          <IonItem routerLink={`/article/${encodeURIComponent(lawName)}`}>
            <p className="ListItemText">{lawName}</p>
          </IonItem>
        );
      })}
    </IonContent>
  );
};
export default ListComponent;
